INTERFACE
SUBROUTINE CPG2(CDCONF,KNUMB,KSTGLO,PB1,PB2,PGMV,PGMVS,&
 & PRCORI,PGM,PRATATH,PRATATX,PGOMVRL,PGOMVRM,&
 & POROG,POROGL,POROGM,&
 & PUT0,PVT0,PUT0L,PVT0L,PDIVT0,PVORT0,&
 & PSPT0,PSPT0L,PSPT0M,&
 & PUT9,PVT9,PDIVT9,PSPNLT9,&
 & PSPT9,PSPT9L,PSPT9M,&
 & PUT1,PVT1,PSPT1) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,LUVDER ,LVOR
USE YOMGMV , ONLY : NDIMGMV ,NDIMGMVS
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,1,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGOMVRL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGOMVRM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPNLT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT9L(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT9M(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT1(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT1(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT1(NPROMA)
END SUBROUTINE CPG2
END INTERFACE
